<nav *ngIf="totalPages > 1">

  <form>

  <div
    [ngClass]="{
      invisible:
        (!resolveLeftNavOfPageControlsShowing()
        && !pageNumberInputBoxIsHidden)
        || isOnFrontPage()
      }"
      class="left-controls"
    >
      <a
        class="first-page-nav-control"
        (click)="navigate2(1)"
        >
        {{ firstPageLabel }}
      </a>
      <a
        #prevPageNavControl
        class="prev-page-nav-control"
        (click)="navigate2(getPreviousPage())"
      >
        {{ previousPageLabel }}
      </a>
    </div>

    <input
      title="insert the page number"
      #pageNumberInputBox
      [hidden]="pageNumberInputBoxIsHidden"
      type="text"
      class="current-page-number"
      [maxlength]="maxlength"
      [(ngModel)]="bondedPageNumber"
      [ngModelOptions]="{standalone: true}"
      (mouseover)="focusOnPageNumberInputBox()"
      (input)="resizePageNumberInputBoxWidth()"
      (blur)="enablesCurrentPageNumberDisplay()"
      (keypress)="resolveInputBoxKeypress($event)"
      />

    <span
      *ngIf="showCurrentPageNumberDisplay"
      class="current-page-number"
      (click)="enablesPageNumberInputBox()"
    >
      {{ currentPageNumber }}
    </span>

    /

    <span
      #totalPagesBox
      class="total-of-pages"
    >{{ totalPages }}</span>

    <div
      [ngClass]="{
        invisible:
          (!resolveRightNavOfPageControlsShowing()
          && !pageNumberInputBoxIsHidden)
          || isOnLastPage()
      }"
      class="right-controls"
    >
      <a
        #nextPageNavControl
        class="next-page-nav-control"
        (click)="navigate2(getNextPage())"
        >
        {{ nextPageLabel }}
      </a>
      <a
        class="last-page-nav-control"
        (click)="navigate2(totalPages)"
      >
        {{ lastPageLabel }}
      </a>
    </div>

  </form>

</nav>
